> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coaxial.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Integrate Okta

<RequestExample>
  ```bash cURL theme={null}
  curl -X 'POST' \
    'https://api.coaxial.ai/auth_integration/okta/init' \
    -H 'accept: application/json' \
    -H 'Authorization: Bearer <api_key>' \
    -H 'Content-Type: application/json' \
    -d '{
    "client_key": <okta_api_key>,
    "org_url": <okta_organization_url>
  }'
  ```

  ```python python theme={null}
  import coaxial
  from coaxial.models import IntegrateOktaRequest
  from pprint import pprint

  coaxial_api = coaxial.Api(api_key=<api_key>)
  integrate_okta_request = IntegrateOktaRequest(client_key=<okta_api_key>, org_url=<okta_organization_url>)

  try:
      api_response = coaxial_api.auth_integration.integrate_okta(integrate_okta_request)
      print("The response of AuthIntegrationApi->integrate_okta:\n")
      pprint(api_response)
  except Exception as e:
      print("Exception when calling AuthIntegrationApi->integrate_okta: %s\n" % e)
  ```
</RequestExample>

<ResponseExample>
  ```json Example Response theme={null}
  {
    "users": [
      {
        "id": "string",
        "email": "string",
        "first": "string",
        "last": "string",
        "imported_at": "2023-08-09T07:09:10.415Z",
        "modified_at": "2023-08-09T07:09:10.415Z",
        "baseUser_id": <your_coaxial_organization_id>,
        "source_metadata": {
          "name": "string",
          "id": <auth_integration_id>
        },
        "resource_list": [
          {
            "name": "string",
            "id": <coaxial_resource_id>
          }
        ]
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml post /auth_integration/okta/init
openapi: 3.1.0
info:
  contact:
    email: team@coaxial.ai
    name: Team Coaxial
  description: The Coaxial REST API. Please see https://docs.coaxial.ai for more details.
  termsOfService: https://coaxial.ai/terms/
  title: The Coaxial API
  version: 0.0.1
servers:
  - description: production
    url: https://api.coaxial.ai
  - description: sandbox
    url: https://sandbox.coaxial.ai
security: []
paths:
  /auth_integration/okta/init:
    post:
      tags:
        - auth_integration
      summary: Integrate Okta
      operationId: integrate_okta
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/integrate_okta_request'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/integrate_okta_response'
          description: Index names in an array of strings
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - Authorization: []
components:
  schemas:
    integrate_okta_request:
      properties:
        client_key:
          title: Client Key
          type: string
        org_url:
          title: Org Url
          type: string
      required:
        - client_key
        - org_url
      title: integrate_okta_request
      type: object
    integrate_okta_response:
      properties:
        users:
          items:
            $ref: '#/components/schemas/User'
          title: Users
          type: array
      required:
        - users
      title: integrate_okta_response
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    User:
      additionalProperties: false
      description: The User model
      properties:
        baseUser_id:
          format: uuid
          title: Baseuser Id
          type: string
        email:
          maxLength: 128
          title: Email
          type: string
        first:
          maxLength: 128
          title: First
          type: string
        id:
          maxLength: 128
          title: Id
          type: string
        imported_at:
          format: date-time
          readOnly: true
          title: Imported At
          type: string
        last:
          maxLength: 128
          title: Last
          type: string
        modified_at:
          format: date-time
          readOnly: true
          title: Modified At
          type: string
        resource_list:
          items:
            $ref: '#/components/schemas/UserInfo'
          title: Resource List
          type: array
        source_metadata:
          allOf:
            - $ref: '#/components/schemas/UserInfo'
          title: Source Metadata
      required:
        - id
        - email
        - first
        - last
        - imported_at
        - modified_at
        - baseUser_id
        - source_metadata
        - resource_list
      title: User
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    UserInfo:
      properties:
        id:
          format: uuid
          title: Id
          type: string
        name:
          title: Name
          type: string
      required:
        - name
        - id
      title: UserInfo
      type: object
  securitySchemes:
    Authorization:
      scheme: bearer
      type: http

````